let
  fromEnv = var: def:
    let val = builtins.getEnv var; in
    if val != "" then val else def;
in rec {
  shell = "/nix/store/rjglqbbmg27dwwyyqsnn62jcz6qwxkli-bash-4.4-p12/bin/bash";
  coreutils = "/nix/store/zrq8x931a6pvjj2w816y6bab45wanq39-coreutils-8.29/bin";
  bzip2 = "/nix/store/yycd5j70n0nvmlhz0hrjsig0kx6zfs67-bzip2-1.0.6.0.1-bin/bin/bzip2";
  gzip = "/nix/store/v6xid2gvsr8q1v6cy66z4hm38rhf0vmq-gzip-1.9/bin/gzip";
  xz = "/nix/store/41zbaxfk0yxmg3x835qss1nbnr9d07sx-xz-5.2.3-bin/bin/xz";
  tar = "/nix/store/rgx1772hskw208c5qz7lwiv68pjm9vk5-gnutar-1.30/bin/tar";
  tarFlags = "--warning=no-timestamp";
  tr = "/nix/store/zrq8x931a6pvjj2w816y6bab45wanq39-coreutils-8.29/bin/tr";
  nixBinDir = fromEnv "NIX_BIN_DIR" "/nix/store/2jp9d9qns3372hkx4k523hc1bbzkr4yp-nix-2.0.3/bin";
  nixPrefix = "/nix/store/2jp9d9qns3372hkx4k523hc1bbzkr4yp-nix-2.0.3";
  nixLibexecDir = fromEnv "NIX_LIBEXEC_DIR" "/nix/store/2jp9d9qns3372hkx4k523hc1bbzkr4yp-nix-2.0.3/libexec";
  nixLocalstateDir = "/nix/var";
  nixSysconfDir = "/etc";
  nixStoreDir = fromEnv "NIX_STORE_DIR" "/nix/store";

  # If Nix is installed in the Nix store, then automatically add it as
  # a dependency to the core packages. This ensures that they work
  # properly in a chroot.
  chrootDeps =
    if dirOf nixPrefix == builtins.storeDir then
      [ (builtins.storePath nixPrefix) ]
    else
      [ ];
}
